<?php
	include('funciones.php');

	$seccion = $_REQUEST['seccion'];
	$accion=$_REQUEST['accion'];

	echo 'seccion -> '.$seccion;
	echo 'accion -> '.$accion;

	if ($seccion == 'promociones') {
		$filename = "promociones.dat";
		
		$promo_1 = array(TITULO_CAS => $_REQUEST['titulo1-cas'], 
						 TITULO_ENG => $_REQUEST['titulo1-eng'],
						 PRECIO_CAS => $_REQUEST['precio1-cas'],
						 PRECIO_ENG => $_REQUEST['precio1-eng'],
						 TEXTO_CAS => $_REQUEST['texto1-cas'], 
						 TEXTO_ENG => $_REQUEST['texto1-eng']);

		$promo_2 = array(TITULO_CAS => $_REQUEST['titulo2-cas'], 
						 TITULO_ENG => $_REQUEST['titulo2-eng'],
						 PRECIO_CAS => $_REQUEST['precio2-cas'],
						 PRECIO_ENG => $_REQUEST['precio2-eng'],
						 TEXTO_CAS => $_REQUEST['texto2-cas'], 
						 TEXTO_ENG => $_REQUEST['texto2-eng']);

		$promo_3 = array(TITULO_CAS => $_REQUEST['titulo3-cas'], 
						 TITULO_ENG => $_REQUEST['titulo3-eng'],
						 PRECIO_CAS => $_REQUEST['precio3-cas'],
						 PRECIO_ENG => $_REQUEST['precio3-eng'],
						 TEXTO_CAS => $_REQUEST['texto3-cas'], 
						 TEXTO_ENG => $_REQUEST['texto3-eng']);

		$promo_4 = array(TITULO_CAS => $_REQUEST['titulo4-cas'], 
						 TITULO_ENG => $_REQUEST['titulo4-eng'],
						 PRECIO_CAS => $_REQUEST['precio4-cas'],
						 PRECIO_ENG => $_REQUEST['precio4-eng'],
						 TEXTO_CAS => $_REQUEST['texto4-cas'], 
						 TEXTO_ENG => $_REQUEST['texto4-eng']);

		$promo_5 = array(TITULO_CAS => $_REQUEST['titulo5-cas'], 
						 TITULO_ENG => $_REQUEST['titulo5-eng'],
						 PRECIO_CAS => $_REQUEST['precio5-cas'],
						 PRECIO_ENG => $_REQUEST['precio5-eng'],
						 TEXTO_CAS => $_REQUEST['texto5-cas'], 
						 TEXTO_ENG => $_REQUEST['texto5-eng']);

		$promos = array($promo_1, $promo_2, $promo_3, $promo_4, $promo_5);
		echo "<pre>";
		print_r($promos);
		echo "</pre>";
		// Guardar los datos
		$fp = fopen($filename, 'w+') or die("No puedo abrir el fichero ".$filename." para guardar.");
		fwrite($fp, serialize($promos));
		fclose($fp);
	}

	if ($seccion == 'tarifas') {
		$filename = "temporadas.dat";
		$temporadas = array(BAJA_CAS => $_REQUEST['temp-baja-cas'], 
							BAJA_ENG => $_REQUEST['temp-baja-eng'],
							MEDIA_CAS => $_REQUEST['temp-media-cas'],
							MEDIA_ENG => $_REQUEST['temp-media-eng'],
							ALTA_CAS => $_REQUEST['temp-alta-cas'], 
							ALTA_ENG => $_REQUEST['temp-alta-eng']);
		// Guardar los datos
		$fp = fopen($filename, 'w+') or die("No puedo abrir el fichero ".$filename." para guardar.");
		fwrite($fp, serialize($temporadas));
		fclose($fp);
		
		$filename = "tarifas.dat";		
		$tarifas_generales_baja = array(INDIVIDUAL => $_REQUEST['tarifa-baja-individual'], 
										DOBLE => $_REQUEST['tarifa-baja-doble'],
										CAMA => $_REQUEST['tarifa-baja-cama'],
										CUNA => $_REQUEST['tarifa-baja-cuna'],
										MASCOTA => $_REQUEST['tarifa-baja-mascota']);

		$tarifas_generales_media = array(INDIVIDUAL => $_REQUEST['tarifa-media-individual'], 
										DOBLE => $_REQUEST['tarifa-media-doble'],
										CAMA => $_REQUEST['tarifa-media-cama'],
										CUNA => $_REQUEST['tarifa-media-cuna'],
										MASCOTA => $_REQUEST['tarifa-media-mascota']);

		$tarifas_generales_alta = array(INDIVIDUAL => $_REQUEST['tarifa-alta-individual'], 
										DOBLE => $_REQUEST['tarifa-alta-doble'],
										CAMA => $_REQUEST['tarifa-alta-cama'],
										CUNA => $_REQUEST['tarifa-alta-cuna'],
										MASCOTA => $_REQUEST['tarifa-alta-mascota']);


		$tarifas_completa_baja = array(HOTEL => $_REQUEST['completa-baja-hotel'], 
									   CAMA => $_REQUEST['completa-baja-cama'],
									   DESAYUNO => $_REQUEST['completa-baja-desayuno'],
									   COCINA => $_REQUEST['completa-baja-cocina'],
									   CUNA => $_REQUEST['completa-baja-cuna'],
									   MASCOTA => $_REQUEST['completa-baja-mascota']);

		$tarifas_completa_media = array(HOTEL => $_REQUEST['completa-media-hotel'], 
									   CAMA => $_REQUEST['completa-media-cama'],
									   DESAYUNO => $_REQUEST['completa-media-desayuno'],
									   COCINA => $_REQUEST['completa-media-cocina'],
									   CUNA => $_REQUEST['completa-media-cuna'],
									   MASCOTA => $_REQUEST['completa-media-mascota']);

		$tarifas_completa_alta = array(HOTEL => $_REQUEST['completa-alta-hotel'], 
									   CAMA => $_REQUEST['completa-alta-cama'],
									   DESAYUNO => $_REQUEST['completa-alta-desayuno'],
									   COCINA => $_REQUEST['completa-alta-cocina'],
									   CUNA => $_REQUEST['completa-alta-cuna'],
									   MASCOTA => $_REQUEST['completa-alta-mascota']);


		$tarifas = array(GENERALES => array($tarifas_generales_baja, $tarifas_generales_media, $tarifas_generales_alta),
						 COMPLETA =>  array($tarifas_completa_baja, $tarifas_completa_media, $tarifas_completa_alta));

		// Guardar los datos
		$fp = fopen($filename, 'w+') or die("No puedo abrir el fichero ".$filename." para guardar.");
		fwrite($fp, serialize($tarifas));
		fclose($fp);
		
	}

	$plantilla_cas = cargar_plantilla_cas();

	$promos = cargar_datos_promociones();
	$plantilla_cas = actualizar_promociones_cas($promos, $plantilla_cas);

	$temporadas = cargar_datos_temporadas();
	$plantilla_cas = actualizar_temporadas_cas($temporadas, $plantilla_cas);
	
	$tarifas = cargar_datos_tarifas();
	$plantilla_cas = actualizar_tarifas_cas($tarifas, $plantilla_cas);
	
	echo $plantilla_cas;
	guardar_tarifas_cas($plantilla_cas);
	
?>
